#include <bits/stdc++.h>

using namespace std;

int main()
{
    int m,n,k;
    cin>>m>>n>>k;
    if(m>k && n>k){
    cout<<(((m-m%k)*(n-n%k))/(k*k))+(((m%k*n)+(n%k*m))/k);
    }
    if(m<=k && n<=k){
        cout<<1;
    }
    if(m<k && n>k){
        cout<<((n-n%k)/k)+n%k;
    }
    if(m>k && n<k){
        cout<<((m-m%k)/k)+m%k;
    }
}
